## jaqalmixer 0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)
project(jaqalmixer LANGUAGES CXX)

find_package(Qt6 6 REQUIRED COMPONENTS Core Widgets)
find_package(ALSA REQUIRED)

qt_standard_project_setup()

qt_add_executable(jaqalmixer
	main.cpp
	cardselector.h cardselector.cpp
	paramswidget.h paramswidget.cpp
	mixerhandle.h mixerhandle.cpp
	rmixcheckbox.h rmixcheckbox.cpp
	rmixenumbox.h rmixenumbox.cpp
	rmixslider.h rmixslider.cpp
	rmixsliderbox.h rmixsliderbox.cpp
	rmixnumspin.h rmixnumspin.cpp
	jmixmenubar.h jmixmenubar.cpp
	t5disp.h t5disp.cpp
	elddisp.h
	elddisp.cpp
)

target_link_libraries(jaqalmixer
	PRIVATE
		Qt::Core
		Qt::Widgets
		ALSA::ALSA
)

include(GNUInstallDirs)

install(TARGETS jaqalmixer
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(FILES jaqalmixer.desktop DESTINATION share/applications)
install(FILES jaqalmixer.png DESTINATION share/icons/hicolor/64x64/apps)

=== debian/changelog ===
jaqalmixer (0.0-git20251122~mx25) mx; urgency=medium

  * Initial build for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 18 Dec 2025 02:40:33 +0000

=== debian/control ===
Source: jaqalmixer
Section: Multimedia
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends:  debhelper (>= 12),
				cmake (>=3.19),
				qt6-base-dev,
				libasound2-dev
Standards-Version: 4.5.8

Package: jaqalmixer
Architecture: any
Description: Just Another Qt ALSA Mixer
